Subject: bug#40671: [DOC] modify literal objects

From: Dmitry Gutov <[email-masked]>
Date: Tue, 5 May 2020 15:38:03 +0300

On 05.05.2020 09:09, Paul Eggert wrote:

>> In the meantime, what do you think about the attached patch?
> 
> Most of it is OK, but it goes too far in removing useful practical advice about
> not doing "dangerous mutations" (to use the terminology you prefer). The defspec
> for quote, the defuns for aset, setcar and setcdr, and the square-bracket
> notation for vectors, should all point to the Dangerous Mutations section.

I think that was too much: we've been living with this problem for many 
years without hitting it too often. Sticking warning all over seems like 
an overreaction.

> Also, the section on Dangerous Mutations should not imply that self-evaluating
> forms are the only way to get objects that are dangerous to mutate, as there are
> other ways to get such objects.

I thought your explanation was a bit too vague, so I added concreteness.

In essence though it was saying constants this and constants that, but 
the actual examples were also only about self-evaluating forms. Did I 
delete some informative part?

> The section Dangerous Mutations is really about Mutations, not merely about
> Dangerous Mutations. For example, it talks about modifying constant variables.
> So I suggest changing its name to just "Mutations". This will help us in future
> versions of Emacs, in which at least some of these mutations should become
> non-dangerous.

It's talking about the cases where a modification shouldn't occur, hence 
the name. When something from the list becomes legal, I think this 
section will just stop mentioning it?

In any case, none of my objections here are strong ones. How about you 
take the proposed patch and update it as you see fit? As long as 
"constant values" don't make a comeback, I'm good.